Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# GIOPC.i File Reference

This graph shows which files directly or indirectly include this file:

## Functions

ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const GIOP::Version &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, GIOP::Version &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const GIOP::IORAddressingInfo &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, GIOP::IORAddressingInfo &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const GIOP::TargetAddress &_tao_union)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, GIOP::TargetAddress &_tao_union)

## Function Documentation

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const GIOP::TargetAddress & | _tao_union
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const GIOP::IORAddressingInfo & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const GIOP::Version & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | GIOP::TargetAddress & | _tao_union
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | GIOP::IORAddressingInfo & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | GIOP::Version & | _tao_aggregate
| ) |